/////////////////////////////////////////////////////////////////
//Copyright (C) 2005 NTT CORPORATION.
//
//	例外型判定Velocity Toolクラス
//
//		変更履歴
//			2005.02.19  新規作成  村上 靖征
//
//	機能
//
//	このクラスは例外型判定用Velocity Toolです。
//
////////////////////////////////////////////////////////////////

package jp.co.ntt.lms.xmf.tools;

import jp.co.ntt.lms.xmo.XMOException;

/**
 * 例外型判定 Toolクラス
 * 
 * このクラスは例外型判定用Velocity Toolクラスです。
 * 
 * @author 村上 靖征
 * @version 1.0
 */
public class ExceptionTool {

	/**
	 * 指定したThrowableオブジェクトが XMOException かどうかを判定する。
	 * 
	 * @param e Throwable オブジェクト
	 * @return XMLException かどうかを示すフラグ
	 */
	public boolean isXMOException(Throwable e)
	{
		if (e instanceof XMOException)
		{
			return true;
		}
		return false;
	}
	
}
